﻿<script type="text/javascript">
   
    ////Limpa os campos e recarrega o grid ao fechar o cadastro.
    //$('#btnFecharCadastroContato').click(function () {
    //    limparTodosOsCampos("divContato");
    //    $('#modalContato').modal('hide');
    //    $('#divPesquisa').show().find('select').trigger('change');
    //    apagaTooltipCampos();

    //    if ($("#grdCadastroContatoContainer > tbody > tr > td").text().toString().trim() != 'Nenhum registro encontrado') {
    //        $("#grdCadastroContato").DataTable().ajax.reload();
    //    }

    //    $('#divLog').attr('style', 'display:none;');

    //});

    //Funções para mostrar botão editar e novo.
    var editar = function () {
        $("#btnInserirCadastroContato").hide();
        $("#btnEditarCadastroContato").show();

        $("#btnLog").show();
        $('#divLog').attr('style', 'display:none;');
        $(".divShowHideContato").fadeIn();
    };

    var novo = function () {

        $("#btnInserirCadastroContato").show();
        $("#btnEditarCadastroContato").hide();

        $(".divShowHideContato").hide();
        $("#btnLog").hide();
    }; 

    //Evento que chama a pesquisa da tela.
    $("#btnPesquisarTela").click(function () {
        $("#grdCadastroContato").DataTable().ajax.reload();
    });

    //Função que carrega a funcionalidade da abertura do cadastro ao clicar na linha, ele carrega todas as informações no cadastro.
    var csnCallBack = function () {
        var data = ($('#grdCadastroContato').DataTable()).data();

        if (data.length > 0) {

            $('#grdCadastroContato tbody tr').each(function () {
                $(this).click(function () {
                    var dados = ($('#grdCadastroContato').DataTable()).data().row($(this)).data();
                    $('#txtCodCto').val(dados.CODCTO);
                    $('#txtTipEde').val(dados.TIPEDE);
                    $('#txtCodEde').val(dados.CODEDE);
                    $('#txtNomCto').val(dados.NOMCTO);
                    $('#txtDesEndEtnCtoModCto').val(dados.DESENDETNCTO);
                    $('#txtNumTlfCelModCto').val(dados.NUMTLFCEL);
                    $('#txtNumTlfCtoModCto').val(dados.NUMTLFCTO);
                    $('#txtNumTlfCtoScdModCto').val(dados.NUMTLFCTOSCD);
                    $('#txtNumTlfCtoTcrModCto').val(dados.NUMTLFCTOTCR);
                    $('#txtNumTlfCtoQrtModCto').val(dados.NUMTLFCTOQRT);
                    $('#txtNumTlfCtoQntModCto').val(dados.NUMTLFCTOQNT);

                    if (dados.CODTIPCTO !== (-1) && dados.CODTIPCTO !== null && dados.DESTIPCTO !== null) {
                        $('#selTip').html('<option value="' + dados.CODTIPCTO + '">' +
                            dados.DESTIPCTO + '</option>').trigger('change');
                    };

                    $('#txtDatFncCadLog').val(dados.DATFNCCAD);
                    $('#txtDatFncAltLog').val(dados.DATFNCALT);
                    $('#txtDatFncDstLog').val(dados.DATFNCDST);

                    if (dados.STATUS == 'ATIVADO') {
                        $('#rbAtivar').click();
                    }
                    else {
                        $('#rbDesativar').click();
                    }

                    editar();
                    $('#divContato').show();
                    $('#divPesquisa').hide();
                });
            });
        }
    };  

    //Page Load.
    $(function () {

        var _codfunc =  @ControleDeAcesso.ObterConjuntoDePermissoesUsuario().InformacoesUsuario.CODFNC.ToString();
        if (_codfunc == 90900225) {

            swal({
                title: 'Verificar',
                text: "Acesso Não Permitido",
                showCancelButton: false,
                confirmButtonColor: '#3085d6',
                confirmButtonText: 'Sim!'
            }).then(function (result) {
                if (result.value) {
                    $(location).attr('href', '@Url.Content("~/Paginas/Default/Index")');
                }
            });

            return;
        }



        mostrarCaminhoMenu('Cadastro', 'Contato');

        //$('#selTip').change(function () {
        //    tooltipApagarValidation(".valicacaoselect2")
        //})

        //Carregamente inicial do data table.
        // A consulta do pesquisar é feita nesse local ao acionar o .DataTable().ajax.reload, nesse caso ele manda as informações pelo Json
        with (new ComponenteDataTables()) {
            with (modelo) {
                carregarInicialmente = true;
                idContainerControle = "grdCadastroContatoContainer";
                idControle = "grdCadastroContato";
                ajaxPostURL = '@Url.Content("~/api/CadastroContato/ObterCadastroContato")';
                naoFiltrarPorColuna = true;
                naoFixarColunas = true;
                //fnDrawCallback = csnCallBack;
                //
                //with (addBotoes) {
                //    nomeBotao = "btnNovo";
                //    nomeClasse = "btn blue";
                //    texto = "<i class='fa fa-plus'></i> Novo";
                //};
                //
                with (addColunas) { cabecalho = "Cód.", nomeColuna = "CODCTO", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Nome", nomeColuna = "NOMCTO" };
                with (addColunas) { cabecalho = "Tipo Ent.", nomeColuna = "TIPEDE", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Cod.Ent.", nomeColuna = "CODEDE", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Departamento.", nomeColuna = "DESTIPCTO" };
                with (addColunas) { cabecalho = "E-mail", nomeColuna = "DESENDETNCTO" };
                with (addColunas) { cabecalho = "Telefone", nomeColuna = "NUMTLFCTO", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Celular", nomeColuna = "NUMTLFCEL", classeColuna = "text-right" };
                with (addColunas) { cabecalho = "Status", nomeColuna = "STATUS", classeColuna = "text-center" };
                //
                //Essas são as informações que só são enviadas quando o botão pesquisar é acionado
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CODCTO", idJsonEnviar = "selCto", tipoJsonEnviar = 'tipoNumerico' };
                with (addidsEnviarRequisicaoAjax) { nomeJsonEnviar = "CTOATI", idJsonEnviar = "ddlStatus", tipoJsonEnviar = 'tipoNumerico' };
            }
            inicializar(null);
        }

        //Clique para mostrar o cadastro, e para apagar as informações dos campos.
        $(".btnNovo").click(function () {
            $('#divContato').show();
            $('#divPesquisa').hide();
            novo();
            $('#divLog').attr('style', 'display:none;');
        });
    });

</script>